openssl_pkcs7_verify
openssl_pkey_export
OpenSSL Functions
PHP Manual

# openssl_pkey_export_to_file

Gets an exportable representation of a key into a file

### Description

bool openssl_pkey_export_to_file ( mixed `$key` , string `$outfilename` [, string `$passphrase` [, array `$configargs` ]] )

openssl_pkey_export_to_file saves an ascii-armoured (PEM encoded) rendition of `key` into the file named by `outfilename`.

> Note: You need to have a valid openssl.cnf installed for this function to operate correctly. See the notes under the installation section for more information.

### Parameters

`key`

`outfilename`

  Path to the output file.

`passphrase`

  The key can be optionally protected by a `passphrase`.

`configargs`

  `configargs` can be used to fine-tune the export process by specifying and/or overriding options for the openssl configuration file. See openssl_csr_new for more information about `configargs`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.